## r-bioc-titancna 1.28.0

=== DESCRIPTION ===
Package: TitanCNA
Type: Package
Title: Subclonal copy number and LOH prediction from whole genome
        sequencing of tumours
Version: 1.28.0
Date: 2019-10-03
Author: Gavin Ha
Maintainer: Gavin Ha <gha@fredhutch.org>
Depends: R (>= 3.5.1)
Imports: BiocGenerics (>= 0.31.6), IRanges (>= 2.6.1), GenomicRanges
        (>= 1.24.3), VariantAnnotation (>= 1.18.7), foreach (>= 1.4.3),
        GenomeInfoDb (>= 1.8.7), data.table (>= 1.10.4), dplyr (>=
        0.5.0),
Description: Hidden Markov model to segment and predict regions of
        subclonal copy number alterations (CNA) and loss of
        heterozygosity (LOH), and estimate cellular prevalence of
        clonal clusters in tumour whole genome sequencing data.
License: GPL-3
biocViews: Sequencing, WholeGenome, DNASeq, ExomeSeq,
        StatisticalMethod, CopyNumberVariation, HiddenMarkovModel,
        Genetics, GenomicVariation, ImmunoOncology
URL: https://github.com/gavinha/TitanCNA
git_url: https://git.bioconductor.org/packages/TitanCNA
git_branch: RELEASE_3_12
git_last_commit: 27bbe2d
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: yes
Packaged: 2020-10-28 03:59:28 UTC; biocbuild

=== debian/changelog ===
r-bioc-titancna (1.28.0-2) unstable; urgency=medium

  [ Steffen Möller ]
  * Add new file - refs to registries

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 07 Dec 2020 10:02:17 +0100

r-bioc-titancna (1.28.0-1) unstable; urgency=medium

  * Initial release (closes: #975352)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Nov 2020 21:47:51 +0100

=== debian/control ===
Source: r-bioc-titancna
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.31.6),
               r-bioc-iranges (>= 2.6.1),
               r-bioc-genomicranges (>= 1.24.3),
               r-bioc-variantannotation (>= 1.18.7),
               r-cran-foreach (>= 1.4.3),
               r-bioc-genomeinfodb (>= 1.8.7),
               r-cran-data.table (>= 1.10.4),
               r-cran-dplyr
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-titancna
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-titancna.git
Homepage: https://bioconductor.org/packages/TitanCNA/
Rules-Requires-Root: no

Package: r-bioc-titancna
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Subclonal copy number and LOH prediction from whole genome sequencing
 Hidden Markov model to segment and predict regions of
 subclonal copy number alterations (CNA) and loss of
 heterozygosity (LOH), and estimate cellular prevalence of
 clonal clusters in tumour whole genome sequencing data.

## r-bioc-titancna 1.32.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Subclonal copy number and LOH prediction from whole genome
         sequencing of tumours
-Version: 1.28.0
+Version: 1.32.0
 Date: 2019-10-03
 Author: Gavin Ha
 Maintainer: Gavin Ha <gha@fredhutch.org>
@@ -21,9 +21,9 @@
         Genetics, GenomicVariation, ImmunoOncology
 URL: https://github.com/gavinha/TitanCNA
 git_url: https://git.bioconductor.org/packages/TitanCNA
-git_branch: RELEASE_3_12
-git_last_commit: 27bbe2d
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 5fd6845
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2020-10-28 03:59:28 UTC; biocbuild
+Packaged: 2021-10-26 22:59:43 UTC; biocbuild

=== debian/changelog ===
r-bioc-titancna (1.32.0-1) unstable; urgency=medium

  * Allow failure of piuparts
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Nov 2021 14:20:17 +0100

r-bioc-titancna (1.30.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-bioc-biocgenerics,
      r-bioc-genomeinfodb, r-bioc-genomicranges, r-bioc-iranges,
      r-bioc-variantannotation, r-cran-data.table and r-cran-foreach.

 -- Andreas Tille <tille@debian.org>  Tue, 14 Sep 2021 21:14:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.31.6),
-               r-bioc-iranges (>= 2.6.1),
-               r-bioc-genomicranges (>= 1.24.3),
-               r-bioc-variantannotation (>= 1.18.7),
-               r-cran-foreach (>= 1.4.3),
-               r-bioc-genomeinfodb (>= 1.8.7),
-               r-cran-data.table (>= 1.10.4),
+               r-bioc-iranges,
+               r-bioc-genomicranges,
+               r-bioc-variantannotation,
+               r-cran-foreach,
+               r-bioc-genomeinfodb,
+               r-cran-data.table,
                r-cran-dplyr
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-titancna
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-titancna.git
 Homepage: https://bioconductor.org/packages/TitanCNA/

## r-bioc-titancna 1.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Subclonal copy number and LOH prediction from whole genome
         sequencing of tumours
-Version: 1.32.0
+Version: 1.34.0
 Date: 2019-10-03
 Author: Gavin Ha
 Maintainer: Gavin Ha <gha@fredhutch.org>
@@ -21,9 +21,9 @@
         Genetics, GenomicVariation, ImmunoOncology
 URL: https://github.com/gavinha/TitanCNA
 git_url: https://git.bioconductor.org/packages/TitanCNA
-git_branch: RELEASE_3_14
-git_last_commit: 5fd6845
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 6cb0738
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 22:59:43 UTC; biocbuild
+Packaged: 2022-04-26 22:17:38 UTC; biocbuild

=== debian/changelog ===
r-bioc-titancna (1.34.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 07:49:41 +0200

## r-bioc-titancna 1.36.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Subclonal copy number and LOH prediction from whole genome
         sequencing of tumours
-Version: 1.34.0
+Version: 1.36.0
 Date: 2019-10-03
 Author: Gavin Ha
 Maintainer: Gavin Ha <gha@fredhutch.org>
@@ -21,9 +21,9 @@
         Genetics, GenomicVariation, ImmunoOncology
 URL: https://github.com/gavinha/TitanCNA
 git_url: https://git.bioconductor.org/packages/TitanCNA
-git_branch: RELEASE_3_15
-git_last_commit: 6cb0738
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 22598a0
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 22:17:38 UTC; biocbuild
+Packaged: 2022-11-01 23:14:10 UTC; biocbuild

=== debian/changelog ===
r-bioc-titancna (1.36.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 22 Nov 2022 07:37:16 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-bioc-genomeinfodb,
                r-cran-data.table,
                r-cran-dplyr
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-titancna
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-titancna.git
 Homepage: https://bioconductor.org/packages/TitanCNA/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/TitanCNA.html .*/TitanCNA_(.*).tar.gz

## r-bioc-titancna 1.38.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Subclonal copy number and LOH prediction from whole genome
         sequencing of tumours
-Version: 1.36.0
+Version: 1.38.0
 Date: 2019-10-03
 Author: Gavin Ha
 Maintainer: Gavin Ha <gha@fredhutch.org>
@@ -21,9 +21,9 @@
         Genetics, GenomicVariation, ImmunoOncology
 URL: https://github.com/gavinha/TitanCNA
 git_url: https://git.bioconductor.org/packages/TitanCNA
-git_branch: RELEASE_3_16
-git_last_commit: 22598a0
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 0c39794
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 23:14:10 UTC; biocbuild
+Packaged: 2023-04-25 23:06:12 UTC; biocbuild

=== debian/changelog ===
r-bioc-titancna (1.38.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 22:01:39 +0200

## r-bioc-titancna 1.40.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Subclonal copy number and LOH prediction from whole genome
         sequencing of tumours
-Version: 1.38.0
+Version: 1.40.0
 Date: 2019-10-03
 Author: Gavin Ha
 Maintainer: Gavin Ha <gha@fredhutch.org>
@@ -21,9 +21,9 @@
         Genetics, GenomicVariation, ImmunoOncology
 URL: https://github.com/gavinha/TitanCNA
 git_url: https://git.bioconductor.org/packages/TitanCNA
-git_branch: RELEASE_3_17
-git_last_commit: 0c39794
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 5ad4699
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-04-25 23:06:12 UTC; biocbuild
+Packaged: 2023-10-24 23:22:47 UTC; biocbuild

=== debian/changelog ===
r-bioc-titancna (1.40.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 16:48:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.31.6),
+               r-bioc-biocgenerics,
                r-bioc-iranges,
                r-bioc-genomicranges,
                r-bioc-variantannotation,
@@ -15,7 +15,7 @@
                r-bioc-genomeinfodb,
                r-cran-data.table,
                r-cran-dplyr
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-titancna
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-titancna.git
 Homepage: https://bioconductor.org/packages/TitanCNA/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -iname "*.rda" -exec chmod -x \{\} \;

## r-bioc-titancna 1.42.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Subclonal copy number and LOH prediction from whole genome
         sequencing of tumours
-Version: 1.40.0
+Version: 1.42.0
 Date: 2019-10-03
 Author: Gavin Ha
 Maintainer: Gavin Ha <gha@fredhutch.org>
@@ -21,9 +21,10 @@
         Genetics, GenomicVariation, ImmunoOncology
 URL: https://github.com/gavinha/TitanCNA
 git_url: https://git.bioconductor.org/packages/TitanCNA
-git_branch: RELEASE_3_18
-git_last_commit: 5ad4699
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 5f6f812
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-05-01
 NeedsCompilation: yes
-Packaged: 2023-10-24 23:22:47 UTC; biocbuild
+Packaged: 2024-05-01 23:48:24 UTC; biocbuild

=== debian/changelog ===
r-bioc-titancna (1.42.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:42:16 +0200

r-bioc-titancna (1.42.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: bump minimum versions of r-bioc-* packages to bioc-3.19+
    versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 15:30:01 +0200

r-bioc-titancna (1.42.0-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 14 Jul 2024 15:34:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics,
-               r-bioc-iranges,
-               r-bioc-genomicranges,
-               r-bioc-variantannotation,
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-iranges (>= 2.38.1),
+               r-bioc-genomicranges (>= 1.56.1),
+               r-bioc-variantannotation (>= 1.50.0),
                r-cran-foreach,
-               r-bioc-genomeinfodb,
+               r-bioc-genomeinfodb (>= 1.40.1),
                r-cran-data.table,
-               r-cran-dplyr
+               r-cran-dplyr,
+               architecture-is-64-bit
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-titancna
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-titancna.git
@@ -25,7 +26,12 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-iranges (>= 2.38.1),
+         r-bioc-genomicranges (>= 1.56.1),
+         r-bioc-variantannotation (>= 1.50.0),
+         r-bioc-genomeinfodb (>= 1.40.1)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: Subclonal copy number and LOH prediction from whole genome sequencing

## r-bioc-titancna 1.44.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Subclonal copy number and LOH prediction from whole genome
         sequencing of tumours
-Version: 1.42.0
+Version: 1.44.0
 Date: 2019-10-03
 Author: Gavin Ha
 Maintainer: Gavin Ha <gha@fredhutch.org>
@@ -21,10 +21,10 @@
         Genetics, GenomicVariation, ImmunoOncology
 URL: https://github.com/gavinha/TitanCNA
 git_url: https://git.bioconductor.org/packages/TitanCNA
-git_branch: RELEASE_3_19
-git_last_commit: 5f6f812
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-05-01
+git_branch: RELEASE_3_20
+git_last_commit: 3826ddb
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 23:48:24 UTC; biocbuild
+Packaged: 2024-10-30 03:15:03 UTC; biocbuild

=== debian/changelog ===
r-bioc-titancna (1.44.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 09:09:03 +0100

r-bioc-titancna (1.44.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Nov 2024 23:49:28 +0100

=== debian/control ===
Source: r-bioc-titancna
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-iranges,
               r-bioc-genomicranges,
               r-bioc-variantannotation,
               r-cran-foreach,
               r-bioc-genomeinfodb,
               r-cran-data.table,
               r-cran-dplyr,
               architecture-is-64-bit
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-titancna
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-titancna.git
Homepage: https://bioconductor.org/packages/TitanCNA/
Rules-Requires-Root: no

Package: r-bioc-titancna
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Subclonal copy number and LOH prediction from whole genome sequencing
 Hidden Markov model to segment and predict regions of
 subclonal copy number alterations (CNA) and loss of
 heterozygosity (LOH), and estimate cellular prevalence of
 clonal clusters in tumour whole genome sequencing data.
